Subject: Re: [PATCH v5 0/4] pseries: Add cede support for cpu-offline

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 12 Nov 2009 08:35:50 +1100

On Wed, 2009-11-11 at 14:25 +0100, Peter Zijlstra wrote:
> On Fri, 2009-10-30 at 10:52 +0530, Gautham R Shenoy wrote:
> 
> > Gautham R Shenoy (4):
> >       pseries: Serialize cpu hotplug operations during deactivate Vs deallocate
> >       pseries: Add code to online/offline CPUs of a DLPAR node.
> >       pSeries: Add hooks to put the CPU into an appropriate offline state
> >       pSeries: extended_cede_processor() helper function.
> > 
> > 
> >  Documentation/cpu-hotplug.txt                   |    6 +
> >  arch/powerpc/include/asm/lppaca.h               |    9 +
> >  arch/powerpc/platforms/pseries/dlpar.c          |  129 ++++++++++++++++
> >  arch/powerpc/platforms/pseries/hotplug-cpu.c    |  182 ++++++++++++++++++++++-
> >  arch/powerpc/platforms/pseries/offline_states.h |   18 ++
> >  arch/powerpc/platforms/pseries/plpar_wrappers.h |   22 +++
> >  arch/powerpc/platforms/pseries/smp.c            |   19 ++
> >  arch/powerpc/xmon/xmon.c                        |    3 
> >  drivers/base/cpu.c                              |    2 
> >  include/linux/cpu.h                             |   13 ++
> >  10 files changed, 387 insertions(+), 16 deletions(-)
> >  create mode 100644 arch/powerpc/platforms/pseries/offline_states.h
> 
> Not quite sure how you solved the DLPAR communication but since pretty
> much everything is under arch/powerpc/ I really don't have much to say.

Allright. I was hoping to have your ack for the drivers/base/cpu.c
change :-)

Cheers,
Ben.